only in patch2:
unchanged:
--- ardour-2.4.1.orig/gtk2_ardour/editing.h
+++ ardour-2.4.1/gtk2_ardour/editing.h
@@ -21,6 +21,7 @@
 #define __gtk_ardour_editing_h__
 
 #include <string>
+#include <cstring>
 #include <map>
 #include <ardour/types.h>
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/gtk2_ardour/fft_result.cc
+++ ardour-2.4.1/gtk2_ardour/fft_result.cc
@@ -22,6 +22,7 @@
 #include <fft_graph.h>
 #include <cstdlib>
 #include <string>
+#include <cstring>
 #include <cmath>
 
 #include <iostream>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/gtk2_ardour/actions.cc
+++ ardour-2.4.1/gtk2_ardour/actions.cc
@@ -20,6 +20,7 @@
 #include <vector>
 #include <string>
 #include <list>
+#include <cstring>
 
 #include <gtk/gtkaccelmap.h>
 #include <gtk/gtkuimanager.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/gtkmm2/gtk/gtkmm/targetentry.cc
+++ ardour-2.4.1/libs/gtkmm2/gtk/gtkmm/targetentry.cc
@@ -22,6 +22,7 @@
 
 #include <gtkmm/targetentry.h>
 
+#include <cstring>
 
 namespace Gtk
 {
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/gtkmm2/gtk/gtkmm/scale.cc
+++ ardour-2.4.1/libs/gtkmm2/gtk/gtkmm/scale.cc
@@ -31,6 +31,7 @@
 #include <gtk/gtkhscale.h>
 #include <gtk/gtkvscale.h>
 #include <math.h>
+#include <cstring>
 
 namespace Gtk
 {
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/midi++2/midichannel.cc
+++ ardour-2.4.1/libs/midi++2/midichannel.cc
@@ -18,6 +18,8 @@
     $Id: midichannel.cc 4 2005-05-13 20:47:18Z taybin $
 */
 
+#include <cstring>
+
 #include <midi++/types.h>
 #include <midi++/port.h>
 #include <midi++/channel.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/midi++2/mtc.cc
+++ ardour-2.4.1/libs/midi++2/mtc.cc
@@ -21,6 +21,7 @@
 #include <cstdlib>
 #include <unistd.h>
 #include <string>
+#include <cstring>
 #include <iostream>
 
 #include <midi++/types.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/midi++2/midiparser.cc
+++ ardour-2.4.1/libs/midi++2/midiparser.cc
@@ -24,6 +24,7 @@
 #include <cstdlib>
 #include <unistd.h>
 #include <string>
+#include <cstring>
 #include <iostream>
 #include <iterator>
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/midi++2/fd_midiport.cc
+++ ardour-2.4.1/libs/midi++2/fd_midiport.cc
@@ -20,6 +20,7 @@
 
 #include <fcntl.h>
 #include <cerrno>
+#include <cstring>
 
 #include <pbd/error.h>
 #include <pbd/pathscanner.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/midi++2/midi.cc
+++ ardour-2.4.1/libs/midi++2/midi.cc
@@ -19,6 +19,7 @@
 */
 
 #include <string>
+#include <cstring>
 #include <cstdlib>
 #include <midi++/types.h>
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/utils.cc
+++ ardour-2.4.1/libs/ardour/utils.cc
@@ -21,6 +21,7 @@
 #include <cmath>
 #include <cctype>
 #include <string>
+#include <cstring>
 #include <cerrno>
 #include <iostream>
 #include <sys/types.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/sndfilesource.cc
+++ ardour-2.4.1/libs/ardour/sndfilesource.cc
@@ -19,6 +19,7 @@
 
 #include <cerrno>
 #include <climits>
+#include <cstring>
 
 #include <pwd.h>
 #include <sys/utsname.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/audioanalyser.cc
+++ ardour-2.4.1/libs/ardour/audioanalyser.cc
@@ -1,3 +1,5 @@
+#include <cstring>
+
 #include <vamp-sdk/hostext/PluginLoader.h>
 #include <glibmm/miscutils.h>
 #include <glibmm/fileutils.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/recent_sessions.cc
+++ ardour-2.4.1/libs/ardour/recent_sessions.cc
@@ -18,6 +18,7 @@
 */
 
 #include <cerrno>
+#include <cstring>
 #include <unistd.h>
 #include <fstream>
 #include <algorithm>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/ardour/silentfilesource.h
+++ ardour-2.4.1/libs/ardour/ardour/silentfilesource.h
@@ -20,6 +20,8 @@
 #ifndef __ardour_silentfilesource_h__ 
 #define __ardour_silentfilesource_h__
 
+#include <cstring>
+
 #include <ardour/audiofilesource.h>
 
 namespace ARDOUR {
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/ardour/buffer.h
+++ ardour-2.4.1/libs/ardour/ardour/buffer.h
@@ -21,6 +21,7 @@
 
 #define _XOPEN_SOURCE 600
 #include <cstdlib> // for posix_memalign
+#include <cstring>
 #include <cassert>
 #include <ardour/types.h>
 #include <ardour/data_type.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/ardour/ardour/port.h
+++ ardour-2.4.1/libs/ardour/ardour/port.h
@@ -20,6 +20,7 @@
 #ifndef __ardour_port_h__
 #define __ardour_port_h__
 
+#include <cstring>
 #include <sigc++/signal.h>
 #include <pbd/failed_constructor.h>
 #include <ardour/ardour.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/pbd/pool.cc
+++ ardour-2.4.1/libs/pbd/pool.cc
@@ -20,6 +20,7 @@
 
 #include <iostream>
 #include <vector>
+#include <cstdlib>
 
 #include <pbd/pool.h>
 #include <pbd/error.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/pbd/pathscanner.cc
+++ ardour-2.4.1/libs/pbd/pathscanner.cc
@@ -20,6 +20,7 @@
 
 #include <cstdlib>
 #include <cstdio>
+#include <cstring>
 #include <vector>
 #include <dirent.h>
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/pbd/base_ui.cc
+++ ardour-2.4.1/libs/pbd/base_ui.cc
@@ -22,6 +22,8 @@
 #include <fcntl.h>
 #include <errno.h>
 
+#include <cstring>
+
 #include <pbd/base_ui.h>
 #include <pbd/error.h>
 #include <pbd/compose.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/pbd/mountpoint.cc
+++ ardour-2.4.1/libs/pbd/mountpoint.cc
@@ -19,6 +19,7 @@
 */
 
 #include <cstdio>
+#include <cstring>
 #include <string>
 #include <limits.h>
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/pbd/pbd/ringbuffer.h
+++ ardour-2.4.1/libs/pbd/pbd/ringbuffer.h
@@ -20,6 +20,8 @@
 #ifndef ringbuffer_h
 #define ringbuffer_h
 
+#include <cstring>
+
 #include <glib.h>
 
 template<class T>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/vamp-sdk/vamp-sdk/PluginAdapter.cpp
+++ ardour-2.4.1/libs/vamp-sdk/vamp-sdk/PluginAdapter.cpp
@@ -37,7 +37,8 @@
 #include "PluginAdapter.h"
 
 //#define DEBUG_PLUGIN_ADAPTER 1
-
+#include <cstring>
+#include <cstdlib>
 
 namespace Vamp {
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/vamp-sdk/vamp-sdk/PluginHostAdapter.cpp
+++ ardour-2.4.1/libs/vamp-sdk/vamp-sdk/PluginHostAdapter.cpp
@@ -34,6 +34,8 @@
     authorization.
 */
 
+#include <cstdlib>
+
 #include "PluginHostAdapter.h"
 
 namespace Vamp
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/vamp-sdk/vamp-sdk/hostext/PluginLoader.cpp
+++ ardour-2.4.1/libs/vamp-sdk/vamp-sdk/hostext/PluginLoader.cpp
@@ -42,6 +42,7 @@
 
 #include <fstream>
 #include <cctype> // tolower
+#include <cstring>
 
 #ifdef _WIN32
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/rubberband/src/RingBuffer.h
+++ ardour-2.4.1/libs/rubberband/src/RingBuffer.h
@@ -15,6 +15,7 @@
 #ifndef _RUBBERBAND_RINGBUFFER_H_
 #define _RUBBERBAND_RINGBUFFER_H_
 
+#include <cstring>
 #include <sys/types.h>
 
 #ifndef _WIN32
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/rubberband/src/Thread.cpp
+++ ardour-2.4.1/libs/rubberband/src/Thread.cpp
@@ -23,6 +23,8 @@
 //#define DEBUG_MUTEX 1
 //#define DEBUG_CONDITION 1
 
+#include <cstdlib>
+
 using std::cerr;
 using std::endl;
 using std::string;
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/rubberband/src/main.cpp
+++ ardour-2.4.1/libs/rubberband/src/main.cpp
@@ -16,6 +16,8 @@
 
 #include <iostream>
 #include <sndfile.h>
+#include <cstdlib>
+#include <cstring>
 #include <cmath>
 #include <sys/time.h>
 #include <time.h>
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/rubberband/src/StretchCalculator.cpp
+++ ardour-2.4.1/libs/rubberband/src/StretchCalculator.cpp
@@ -19,6 +19,7 @@
 #include <deque>
 #include <set>
 #include <cassert>
+#include <algorithm>
 
 namespace RubberBand
 {
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/rubberband/src/FFT.cpp
+++ ardour-2.4.1/libs/rubberband/src/FFT.cpp
@@ -22,6 +22,7 @@
 #include <iostream>
 #include <map>
 #include <cstdio>
+#include <cstdlib>
 #include <vector>
 
 namespace RubberBand {
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/rubberband/src/Window.h
+++ ardour-2.4.1/libs/rubberband/src/Window.h
@@ -16,6 +16,7 @@
 #define _RUBBERBAND_WINDOW_H_
 
 #include <cmath>
+#include <cstdlib>
 #include <iostream>
 #include <map>
 
only in patch2:
unchanged:
--- ardour-2.4.1.orig/libs/glibmm2/glibmm/propertyproxy_base.cc
+++ ardour-2.4.1/libs/glibmm2/glibmm/propertyproxy_base.cc
@@ -20,6 +20,8 @@
  * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
 
+#include <cstring>
+
 #include <glibmm/propertyproxy_base.h>
 #include <glibmm/signalproxy_connectionnode.h>
 #include <glibmm/object.h>
only in patch2:
unchanged:
--- ardour-2.4.1/libs/sigc++2/sigc++/signal.h
+++ ardour-2.4.1.orig/libs/sigc++2/sigc++/signal.h
@@ -16,7 +16,7 @@
 #ifdef SIGC_TEMPLATE_SPECIALIZATION_OPERATOR_OVERLOAD
   //Compilers, such as SUN Forte C++, that do not allow this also often
   //do not allow a typedef to have the same name as a class in the typedef's definition.
-  #define SIGC_TYPEDEF_REDEFINE_ALLOWED 1
+  //#define SIGC_TYPEDEF_REDEFINE_ALLOWED 1
 #endif
 
 namespace sigc {
reverted:
